EXP(3)

NAME
log, logf, logl - natural logarithmic function

SYNOPSIS
#include <math.h>

double log(double x);
float logf(float x);
long double logl(long double x);

Link with -lm.

DESCRIPTION
The log() function returns the natural logarithm of x.

ERRORS
The log() function can return the following errors:

EDOM
    The argument x is negative.

ERANGE
    The argument x is zero. The log of zero is not defined (minus infinity).

CONFORMING TO
SVr4, 4.3BSD, C89. The float and the long double variants are C99 requirements.

SEE ALSO
cbrt(3), clog(3), log1p(3), sqrt(3)